Bug 872422 - RFE: expose flag creation via XMLRPC
RFE: expose flag creation via XMLRPC
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Matt Tyson
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2012-11-01 23:24 EDT by Jeff Fearn
Modified: 2013-06-23 23:26 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.4-3
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-05-20 07:05:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2012-11-01 23:24:03 EDT
Description of problem:
Flag creation is not exposed via XML-RPC making it impossible to automate this task via Maitai.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. There is no step 1

Actual results:
Go to admin interface, admin flags.

Expected results:
Go to Maitai interface, click buttons, magic happens, BZ devs do not have to talk to users!

Additional info:
The end game here is to have an approved method of automating flag creation and maintenance in Maitai so that devs don't have to do it.
Comment 3 Matt Tyson 2012-12-05 19:56:03 EST
I've added an interface allowing new flags to be created.

The new method will be FlagType.create

Documentation has been added in POD format which should give anyone sufficient information to create an xmlrpc call to add new flags (If they have permissions to do so)
Comment 6 Matt Tyson 2013-02-10 19:48:52 EST
The documentation was incorrect.

It said the field was 'category', the name for this field is actually 'inclusions'

There is also a field called 'exclusions' which will exclude the flag from the specified products or components.  I have updated the documentation to show this.

Note You need to log in before you can comment on or make changes to this bug.